function plotChannel(H, MIMO_params, method, ax)
    if ~exist('ax', 'var')
        ax = gca;
    end

    if method == "kDomain"
        [KR, KT] = size(H); 
        nkGrids = MIMO_params.nkGrids; 
        
        s = diag(H'*H); 
        
        scatter(ax, nkGrids(:,1), nkGrids(:,2),32,s); 
        axis equal; 
        colorbar; 


    elseif method == "MIMO"


    else
        error('Method not defined.');
    end




end

